/*
 * Copyright (C) 2009-2010 Andre Schulz, Florian Jung, Sebastian Hartte,
 *						   Daniel Trick, Christan Wojek, Konrad Schindler,
 *						   Jens Ackermann, Michael Goesele
 * Copyright (C) 2008-2009 Christopher Evans <chris.evans@irisys.co.uk>, MSc University of Bristol
 *
 * This file is part of SURFGPU.
 *
 * SURFGPU is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * SURFGPU is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with SURFGPU.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef HELPER_FUNCS_H
#define HELPER_FUNCS_H

// All of these were taken from the CUDA SDK.

/**	\brief Divide 'a' by 'b' and round up
 *	\param a dividend
 *	\param b divisor
 */
int iDivUp(int a, int b);

/**	\brief Divide 'a' by 'b' and round down
 *	\param a dividend
 *	\param b divisor
 */
int iDivDown(int a, int b);

/**	\brief Align 'a' up to a multiple of 'b'
 *	\param a value to align
 *	\param b alignment
 */
int iAlignUp(int a, int b);

/**	\brief Align 'a' down to a multiple of 'b'
 *	\param a value to align
 *	\param b alignment
 */
int iAlignDown(int a, int b);

#endif /* HELPER_FUNCS_H */
